/*
========================================
 $Name:         ppunpack.h

 $Desc:         

 $Author:       Peter Bakota <bakota@tippnet.co.yu>
 $Revision:     1
 $Date:         09.01.2002 9:51:18 PM
 $Comments:     
========================================
*/
#ifndef __PPUNPACK_H
#define __PPUNPACK_H

#include <stdint.h>

#ifdef WIN32DLL
#define PREFIX __declspec(dllimport)
#else
#define PREFIX 
#endif /* WIN32DLL */

/* Set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C" {
#endif

PREFIX uint32_t ppLoadFile(char *FileName, char **Buffer, uint32_t *uLen);
PREFIX void	    ppFreeBuffer(char *Buffer, uint32_t uLen);
PREFIX void     ppDecrunchBuffer(unsigned char *Buffer, unsigned char *UBuffer, uint32_t pLen, uint32_t uLen);
PREFIX int      ppGetUSize(char *Buffer, uint32_t pLen, uint32_t *uLen);
PREFIX int      ppGetUSizeFromFile(char *FileName, uint32_t *uLen);
PREFIX uint32_t ppDecrunchFile(char *Src, char *Dest);
PREFIX BOOL	    ppIsPPFile(char *FileName);

/* Ends C function definitions when using C++ */
#ifdef __cplusplus
}
#endif

#endif // !__PPUNPACK_H
