solution "Unpackpp"
configurations {"DebugLib","ReleaseLib"}
platforms {"x64","x32"}

project "Unpackpp"
    language "C"
    kind "SharedLib"
    files {"*.c", "*.rc"}
    links {"ppunpacklib"}
    includedirs { "../lib/ppunpacklib" }
    targetdir "../install"
    defines {"WCX_PLUGIN_EXPORTS"}

configuration "x64"
    targetextension ".wcx64"

configuration "x32"
    targetextension ".wcx"

configuration "DebugLib"
    libdirs { "../lib/ppunpacklib/lib/debug" }
    flags {"ExtraWarnings","Symbols"}
    targetdir "lib/debug"
    postbuildcommands { "cp lib/debug/unpackpp.wcx64 ../install" }
    defines {"DEBUG"}

configuration "ReleaseLib"
    libdirs { "../lib/ppunpacklib/lib/release" }
    flags {"ExtraWarnings","OptimizeSpeed"}
    targetdir "lib/release"
    postbuildcommands { "cp lib/release/unpackpp.wcx64 ../install" }
    defines {"NDEBUG"}

configuration {"x64", "DebugLib"}
    postbuildcommands { "cp lib/debug/unpackpp.wcx64 ../install" }

configuration {"x64", "ReleaseLib"}
    postbuildcommands { "cp lib/release/unpackpp.wcx64 ../install" }

configuration {"x32", "DebugLib"}
    postbuildcommands { "cp lib/debug/unpackpp.wcx ../install" }

configuration {"x32", "ReleaseLib"}
    postbuildcommands { "cp lib/release/unpackpp.wcx ../install" }

